Bug 20867 - Ability to show membership renewal date on moremember.pl page
Summary: Ability to show membership renewal date on moremember.pl page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Testopia
URL:
Keywords:
Depends on: 6758
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-04 10:35 UTC by Amit Gupta
Modified: 2019-10-14 19:56 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20867 - Ability to show membership renewal date on moremember.pl page (2.18 KB, patch)
2018-06-04 10:41 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 20867: Ability to show membership renewal date on moremember.pl page (2.22 KB, patch)
2018-06-04 14:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20867 - Ability to show membership renewal date on moremember.pl page (1.57 KB, patch)
2018-06-05 16:53 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 20867 - Ability to show membership renewal date on moremember.pl page (1.66 KB, patch)
2018-06-15 19:29 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 20867: Ability to show membership renewal date on moremember.pl page (1.71 KB, patch)
2018-06-18 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2018-06-04 10:35:16 UTC
Ability to show membership renewal date on moremember.pl page.
Comment 1 Amit Gupta 2018-06-04 10:41:15 UTC
Created attachment 75752 [details] [review]
Bug 20867 - Ability to show membership renewal date on  moremember.pl page

Test case:
1. Create the patron.
2. Search the patron whose date of membership is about to expire or expired.
3. Click on More->Renew patron.
4. Now membership is renewed.
4. Apply the patch.
5. Refersh the page now you will able to see the Membership renewal date.
Comment 2 Owen Leonard 2018-06-04 14:33:55 UTC
Created attachment 75774 [details] [review]
Bug 20867: Ability to show membership renewal date on moremember.pl page

Test case:
1. Create the patron.
2. Search the patron whose date of membership is about to expire or expired.
3. Click on More->Renew patron.
4. Now membership is renewed.
4. Apply the patch.
5. Refersh the page now you will able to see the Membership renewal date.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2018-06-05 15:43:46 UTC
The change to the controller is not needed, you just need:

+    [% patron.date_renewed %]
+        <li><span class="label">Renewal date: </span>[% patron.date_renewed | $KohaDates %]</li>
+    [% END %]
Comment 4 Amit Gupta 2018-06-05 16:53:03 UTC
Created attachment 75824 [details] [review]
Bug 20867 - Ability to show membership renewal date on  moremember.pl page

Test case:
1. Create the patron.
2. Search the patron whose date of membership is about to expire or expired.
3. Click on More->Renew patron.
4. Now membership is renewed.
5. Apply the patch.
6. Reload the page now you will able to see the Membership renewal date.

Fix QA comments
Comment 5 Maryse Simard 2018-06-15 19:29:37 UTC
Created attachment 76107 [details] [review]
Bug 20867 - Ability to show membership renewal date on moremember.pl page

Test case:
1. Create the patron.
2. Search the patron whose date of membership is about to expire or expired.
3. Click on More->Renew patron.
4. Now membership is renewed.
5. Apply the patch.
6. Reload the page now you will able to see the Membership renewal date.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.
Comment 6 Katrin Fischer 2018-06-18 22:11:08 UTC
Created attachment 76166 [details] [review]
Bug 20867: Ability to show membership renewal date on moremember.pl page

Test case:
1. Create the patron.
2. Search the patron whose date of membership is about to expire or expired.
3. Click on More->Renew patron.
4. Now membership is renewed.
5. Apply the patch.
6. Reload the page now you will able to see the Membership renewal date.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2018-06-22 22:03:52 UTC
Awesome work all!

Pushed to master for 18.11.x
Comment 8 Martin Renvoize 2018-06-27 10:51:57 UTC
Pushed to 18.05.x for 18.05.02

Trivial enhancement I'm treating as a bugfix, backported, thanks Amit.
Comment 9 Fridolin Somers 2018-07-02 06:48:02 UTC
Depends on Bug 6758 that is pushed to master since 17.11
Comment 10 Fridolin Somers 2018-07-02 06:51:06 UTC
Template has been changed by Bug 18789 so I don't push to 17.11.x